# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94.0"
name = "icechunk-types"
version = "2.0.0-alpha.7"
authors = ["Earthmover PBC"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared foundational types for icechunk"
homepage = "https://icechunk.io"
readme = "README.md"
keywords = [
    "zarr",
    "xarray",
    "database",
]
categories = [
    "database",
    "science",
    "science::geo",
]
license = "Apache-2.0"
repository = "https://github.com/earth-mover/icechunk"
resolver = "2"

[lib]
name = "icechunk_types"
path = "src/lib.rs"

[dependencies.serde]
version = "1.0.228"
features = [
    "derive",
    "rc",
]

[dependencies.serde_with]
version = "3.18.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tracing-error]
version = "0.2.1"

[dependencies.typed-path]
version = "0.12.3"

[lints.clippy]
allow_attributes = "warn"
cargo_common_metadata = "warn"
clone_on_ref_ptr = "warn"
create_dir = "warn"
dbg_macro = "warn"
doc_markdown = "warn"
exit = "warn"
expect_used = "warn"
implicit_clone = "warn"
inefficient_to_string = "warn"
large_types_passed_by_value = "warn"
manual_let_else = "warn"
needless_pass_by_value = "warn"
panic = "warn"
semicolon_if_nothing_returned = "warn"
todo = "warn"
undocumented_unsafe_blocks = "warn"
unimplemented = "warn"
uninlined_format_args = "warn"
unused_result_ok = "warn"
unused_trait_names = "warn"
unwrap_used = "warn"
wildcard_dependencies = "warn"

[lints.rust]
bare_trait_objects = "warn"
elided_lifetimes_in_paths = "warn"
missing_debug_implementations = "warn"
trivial_numeric_casts = "warn"
unreachable_pub = "warn"
unsafe_code = "warn"
unused_qualifications = "warn"
